#ifndef _API_H
#define _API_H

/*
 * load image file content into a buffer where buf_len is the buffer size.
 * if file size is larger than buf_len, -1 is returned to indicate the error.
 * -1 is also returned if the file does not exist.
 * otherwise, the real file size will be returned
 */
extern int bc_load_img(char *buf, int buf_len, const char *file_name);

/*
 * decode the loaded image file content
 * buf will be used to store the returned text
 * task_id is used to store the task_id
 * return 0 - OK
 * return -1 - something failed
 */
extern int bc_decode(const char *key, const char *img, int img_size, char *buf, int buf_len, int *task_id);

/*
 * send feedback to server for task_id, where is_correct is 1 for CORRECT, 0 for WRONG
 * -1 returned if something failed
 * 0 if OK
 */
extern int bc_check(const char *key, int task_id, int is_correct);

#endif
